Warning: strftime(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone. in /usr/share/php/PhpDocumentor/phpDocumentor/Smarty-2.6.0/libs/Smarty_Compiler.class.php on line 370

## EditorField

Description
Warning: strftime(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone. in /usr/share/php/PhpDocumentor/phpDocumentor/Smarty-2.6.0/libs/Smarty_Compiler.class.php on line 370

A class for the fields in the editor

Located in /classEditor.php (line 19)

Variable Summary
mixed $Attributes
mixed $Field
mixed $LookupSql
mixed $OptionList
mixed $Sql
mixed $Value
Method Summary
EditorField __construct ( $field, [ $sql = ""], [ $lookup_sql = ""])
void AddAttribute ( $k, $v)
void GetTarget ()
void RenderAttributes ()
void RenderLabel ( $wrapme)
void Set ( $value)
void SetLookup ( $lookup_sql)
void SetOptionList ( $options, [ $current = null], [ $parameters = null])
void SetSql ( $sql)
Variables
Strict Standards: Only variables should be passed by reference in /usr/share/php/PhpDocumentor/phpDocumentor/Smarty-2.6.0/libs/Smarty_Compiler.class.php on line 712 Warning: strftime(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone. in /usr/share/php/PhpDocumentor/phpDocumentor/Smarty-2.6.0/libs/Smarty_Compiler.class.php on line 370
mixed $Attributes (line 24)
mixed $Field (line 21)
mixed $LookupSql (line 25)
mixed $OptionList (line 26)
mixed $Sql (line 22)
mixed $Value (line 23)
Methods
Strict Standards: Only variables should be passed by reference in /usr/share/php/PhpDocumentor/phpDocumentor/Smarty-2.6.0/libs/Smarty_Compiler.class.php on line 712 Warning: strftime(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone. in /usr/share/php/PhpDocumentor/phpDocumentor/Smarty-2.6.0/libs/Smarty_Compiler.class.php on line 370
Constructor __construct (line 28)
EditorField __construct ( $field, [ $sql = ""], [ $lookup_sql = ""])

- $field
- $sql
- $lookup_sql

AddAttribute (line 79)
void AddAttribute ( $k, $v)

- $k
- $v

GetTarget (line 74)
void GetTarget ()
RenderAttributes (line 91)
void RenderAttributes ()
RenderLabel (line 83)
void RenderLabel ( $wrapme)

- $wrapme

Set (line 36)
void Set ( $value)

- $value

SetLookup (line 44)
void SetLookup ( $lookup_sql)

- $lookup_sql

SetOptionList (line 48)
void SetOptionList ( $options, [ $current = null], [ $parameters = null])

- $options
- $current
- $parameters

SetSql (line 40)
void SetSql ( $sql)

- $sql

Warning: strftime(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone. in /usr/share/php/PhpDocumentor/phpDocumentor/Smarty-2.6.0/libs/Smarty_Compiler.class.php on line 370

Documentation generated on Wed, 04 Jul 2012 07:06:13 +0000 by phpDocumentor 1.4.3